Bug 857730 - Review Request: oscpack - A set of C++ classes for packing and unpacking OSC packets
Review Request: oscpack - A set of C++ classes for packing and unpacking OSC ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: MERCIER Jonathan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 11:57 EDT by Brendan Jones
Modified: 2015-09-20 13:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-20 13:57:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bioinfornatics: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-09-16 11:57:15 EDT
Open Sound Control (OSC) is a content format for messaging among computers, sound synthesizers, and other multimedia devices that are optimized for modern networking technology. 

oscpack is simply a set of classes for packing and unpacking OSC packets.

SRPM: http://bsjones.fedorapeople.org/oscpack-1.0.2-2.fc17.src.rpm
SPEC: http://bsjones.fedorapeople.org/oscpack.spec

Rpmlint
-------
Checking: oscpack-1.0.2-2.fc16.src.rpm
          oscpack-1.0.2-2.fc16.x86_64.rpm
          oscpack-debuginfo-1.0.2-2.fc16.x86_64.rpm
          oscpack-devel-1.0.2-2.fc16.x86_64.rpm
oscpack.src: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.src: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.x86_64: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.x86_64: W: no-manual-page-for-binary OscDump
oscpack.x86_64: W: no-manual-page-for-binary OscSendTests
oscpack.x86_64: W: no-manual-page-for-binary OscReceiveTest
oscpack.x86_64: W: no-manual-page-for-binary OscUnitTests
oscpack-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 9 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint oscpack-debuginfo
oscpack-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'
Comment 1 MERCIER Jonathan 2012-09-16 15:29:24 EDT
Hi,
I take the review ;-)

I would like to know if your patch is reported to upstream ?
Comment 2 Brendan Jones 2012-09-17 04:09:47 EDT
To be honest - I'm not sure. I should have mentioned that this is being moved from the CCRMA repo. I will have to ask Fernando, the maintainer there if he has submitted upstream. I will if he hasn't - I have some further questions for upstream in any case, so that's no problem.
Comment 3 MERCIER Jonathan 2012-09-17 17:31:52 EDT
ok i will wait your feedback

Rpmlint
-------
Checking: oscpack-1.0.2-2.fc17.x86_64.rpm
          oscpack-1.0.2-2.fc17.src.rpm
          oscpack-debuginfo-1.0.2-2.fc17.x86_64.rpm
          oscpack-devel-1.0.2-2.fc17.x86_64.rpm
oscpack.x86_64: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.x86_64: W: no-manual-page-for-binary OscDump
oscpack.x86_64: W: no-manual-page-for-binary OscSendTests
oscpack.x86_64: W: no-manual-page-for-binary OscReceiveTest
oscpack.x86_64: W: no-manual-page-for-binary OscUnitTests
oscpack.src: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.src: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.src: W: invalid-url Source0: http://oscpack.googlecode.com/files/oscpack_1_0_2.zip HTTP Error 404: Not Found
oscpack-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 10 warnings.

warning about invalid-url is false positive warning [Ok]

I would like to know if they are a way to get some doc for OscDump OscSendTests OscReceiveTest OscUnitTests ?
Comment 4 Brendan Jones 2012-09-18 04:58:51 EDT
I will ask upstream about man pages, but I doubt anything will come from it.

The reason I'm packaging this is because there is another package (supercollider) which is bundling this. Siupercollider have made changes to the source, so it may take some time before this is ready. You can put it on hold for now.
Comment 5 MERCIER Jonathan 2012-09-19 07:08:03 EDT
ok for me it seem it is ok.
Waiting to know if upstream know your patch before end this review .
As fedora want to be close to upstream this step is need.
Comment 6 MERCIER Jonathan 2012-10-23 15:21:02 EDT
ping
Comment 7 Brendan Jones 2012-10-25 00:43:48 EDT
Thanks

OK, I am merging the supercollider changes into htis package. Upstream has reviewed the patches and placed them in queue.

I have retrieved the most recent source in this update:


SRPM: http://bsjones.fedorapeople.org/oscpack-1.0.2-3.1.svn20110904.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/oscpack.spec
Comment 8 Brendan Jones 2012-11-06 18:16:34 EST
ping
Comment 9 Brendan Jones 2013-01-27 09:45:43 EST
ping
Comment 10 MERCIER Jonathan 2013-06-26 17:21:22 EDT
sorry for time

Rpmlint (installed packages)
----------------------------
# rpmlint oscpack oscpack-devel
oscpack.x86_64: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.x86_64: W: incoherent-version-in-changelog 1.0.2-2 ['1.0.2-3.1.svn20110904.fc18', '1.0.2-3.1.svn20110904']
oscpack.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liboscpack.so.1.0.2 /lib64/libm.so.6
oscpack.x86_64: W: no-manual-page-for-binary OscDump
oscpack.x86_64: W: no-manual-page-for-binary OscSendTests
oscpack.x86_64: W: no-manual-page-for-binary OscReceiveTest
oscpack.x86_64: W: no-manual-page-for-binary OscUnitTests
oscpack-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

please fix log and lib dependency
Comment 11 Fedora End Of Life 2013-07-03 16:01:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:16:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Christopher Meng 2013-08-05 03:26:19 EDT
Please do NOT change release target.
Comment 15 Christopher Meng 2013-08-06 23:57:28 EDT
You should preserve the timestamp by install -p.
Comment 16 MERCIER Jonathan 2013-08-09 12:13:56 EDT
I would like to know if path is reported to upstream somewhere?
Comment 17 MERCIER Jonathan 2013-08-09 12:14:16 EDT
patch*
Comment 18 Brendan Jones 2013-08-10 03:48:40 EDT
New upstream now incorporates this patch

SRPM SRPM: http://bsjones.fedorapeople.org/reviews/oscpack-1.1.0-1.fc19.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/oscpack.spec
Comment 19 MERCIER Jonathan 2013-08-11 04:50:37 EDT
----------------------------------------------------------------------
Rpmlint
-------
Checking: oscpack-1.1.0-1.fc19.x86_64.rpm
          oscpack-devel-1.1.0-1.fc19.x86_64.rpm
oscpack.x86_64: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.x86_64: W: file-not-utf8 /usr/share/doc/oscpack-1.1.0/CHANGES
oscpack.x86_64: W: no-manual-page-for-binary SimpleSend
oscpack.x86_64: W: no-manual-page-for-binary SimpleReceive
oscpack.x86_64: W: no-manual-page-for-binary OscReceiveTest
oscpack.x86_64: W: no-manual-page-for-binary OscSendTests
oscpack.x86_64: W: no-manual-page-for-binary OscUnitTests
oscpack.x86_64: W: no-manual-page-for-binary OscDump
oscpack-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint oscpack oscpack-devel
oscpack.x86_64: W: spelling-error %description -l en_US namespaces -> name spaces, name-spaces, names paces
oscpack.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
oscpack.x86_64: W: unused-direct-shlib-dependency /usr/lib64/liboscpack.so.1.1.0 /lib64/libm.so.6
oscpack.x86_64: W: file-not-utf8 /usr/share/doc/oscpack-1.1.0/CHANGES
oscpack.x86_64: W: no-manual-page-for-binary SimpleSend
oscpack.x86_64: W: no-manual-page-for-binary SimpleReceive
oscpack.x86_64: W: no-manual-page-for-binary OscReceiveTest
oscpack.x86_64: W: no-manual-page-for-binary OscSendTests
oscpack.x86_64: W: no-manual-page-for-binary OscUnitTests
oscpack.x86_64: W: no-manual-page-for-binary OscDump
oscpack-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 11 warnings.
----------------------------------------------------------------------


Please fix:

- /usr/share/doc/oscpack-1.1.0/CHANGES bad encoding

- unused-direct-shlib-dependency
Comment 20 Brendan Jones 2013-08-17 06:15:03 EDT
OK, done. Thanks

Also note, I have discovered faust-osclib* bundles a copy of this library. I have added the appropriate Provides/Obsoletes.

SRPM: http://bsjones.fedorapeople.org/reviews/oscpack-1.1.0-2.fc19.src.rpm
SPEC: http://bsjones.fedorapeople.org/reviews/oscpack.spec
Comment 21 MERCIER Jonathan 2015-09-20 13:57:02 EDT
dead tool

feel free to open it again if still a needed package

Note You need to log in before you can comment on or make changes to this bug.